/onetrust-privacy-requests | Type: Application | PCID required: Yes
Tools
onetrust_privacy_requests_add_comments_using_put
Add Comment to Request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
requestQueueRefId | string | Yes | — | Request queue reference Id |
attachments | any[] | No | — | The attachments value |
comment | string | Yes | — | Comment if any. |
internalComment | boolean | Yes | — | Comments on the request can be internal or public. This flag determines if the comment is internal or public. |
isInternalComment | boolean | No | — | Is Internal Comment |
language | string | No | — | This is the ISO language code for OneTrust supported languages. The language code provided here informs the language of the comment. Examples: en-us for English, de for German, fr for French, etc |
onetrust_privacy_requests_add_data_discovery_using_put
Add Targeted Data Discovery Details to Subtask Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
subtaskID | string | Yes | — | Sub-Task UUID |
body | object | Yes | — | Request body |
onetrust_privacy_requests_add_new_resolution_using_post
Create Resolution Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
close | boolean | Yes | — | Indicates whether this resolution code should be available as an option when closing a request. Set to true to make it available for closing requests. |
complete | boolean | Yes | — | Indicates whether this resolution code should be available as an option when completing a request. Set to true to make it available for completing requests. |
descriptionTranslations | object | No | — | A map of language codes to translated descriptions for this resolution code. The default English (en-us) translation must be present. |
id | string | No | — | The unique identifier for the resolution code. This is automatically generated when a new resolution code is created, not required in resolution creation payload. |
reject | boolean | Yes | — | Indicates whether this resolution code should be available as an option when rejecting a request. Set to true to make it available for rejecting requests. |
titleTranslations | object | No | — | A map of language codes to translated titles for this resolution code. English (en-us) translation is required. Each translation must be unique per language and type across all resolution codes. |
type | integer | No | — | Specifies the type of resolution code, which determines where it appears in the UI. By default, this is set to 10 for request-level resolutions. Use 20 for subtask resolutions. |
onetrust_privacy_requests_bulk_delete_using_put
Delete Requests Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
language | string | Yes | — | A language code that identifies the language in which the request data should be returned, assuming translations are available for that language. Examples: en-us for English, de for German, fr for French, etc. |
Country | string | No | — | Filter requests by Country code. Only requests with this Country selected will be deleted. |
CreatedDateRange | object | No | — | Created Date Range |
EndDateRange | object | No | — | End Date Range |
ModifiedDateRange | object | No | — | Modified Date Range |
Organization | string | No | — | Filter requests by Organization. Only requests in this organization will be deleted. |
RequestIDs | any[] | No | — | An array of 10-character Unique IDs of the Request(s) to be deleted. |
RequestType | string | No | — | Filter requests by Request Type. Only requests with the Request Type will be deleted. |
Status | string | No | — | Filter requests by the Stage name. Only requests in this stage will be deleted. |
SubjectType | string | No | — | Filter requests by Subject Type. Only requests with the Subject Type will be deleted. |
WebformID | string | No | — | Filter requests by Web Form ID. Only requests using this web form will be deleted. |
WorkflowID | string | No | — | Filter requests by Workflow ID. Only requests using this workflow will be deleted. |
onetrust_privacy_requests_complete_sub_task_using_put
Complete Subtask Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
subtaskID | string | Yes | — | Sub-Task UUID |
attachments | any[] | No | — | List of attachments for the subtask |
comment | string | Yes | — | Comment for the subtask completion. Longer comments may impact system performance. |
markAsComplete | boolean | No | — | Whether to mark the subtask as complete |
resolutionId | string | No | — | Resolution ID for the subtask |
onetrust_privacy_requests_create_request_queue_v2using_post
Create Request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
templateId | string | Yes | — | Every request is created against a webform template. The template ID is the GUID corresponding to a particular webform. This can be obtained from the url by navigating to the webform. e.g. in this url, ‘https://trial.onetrust.com/app/#/pia/dsar/webform/manage/6519ffd5-fe6b-4804-8dfc-1c2ae2da212d’, ‘6519ffd5-fe6b-4804-8dfc-1c2ae2da212d’ is the templateId. |
additionalData | object | No | — | Additional fields in key value format, required for request processing. These could be webform or non webform fields |
attachments | any[] | No | — | File attachment details for request. |
email | string | No | — | Email address of the respondent. |
firstName | string | No | — | First name of the respondent. |
language | string | No | — | The ISO language code for OneTrust supported languages. Examples: en-us for English, de for German, fr for French, etc. |
lastName | string | No | — | Last name of the respondent. |
multiselectFields | object | No | — | Multiselect Fields |
requestTraceId | string | No | — | Unique trace id for request. This can be used to avoid creating duplicate request. |
requestTypes | any[] | No | — | Respondents privacy request type. This should match with the webform request type. |
subjectTypes | any[] | No | — | Respondents subject type or relation ship with tenant. This should match with the webform subject type. |
onetrust_privacy_requests_create_sub_task_using_post
Add Subtask to Request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
requestQueueRefId | string | Yes | — | Request queue reference Id |
assignedTogroup | boolean | No | — | Whether the subtask is assigned to a group |
commentRequired | boolean | No | — | Whether a comment is required when completing the subtask |
deadline | string | No | — | Deadline for the subtask |
description | string | Yes | — | Description of the subtask |
groupName | string | No | — | Name of the group if assigned to a group |
integrationSystemId | string | No | — | Integration system ID |
integrationWorkflowId | string | No | — | Integration workflow ID |
manualRun | boolean | No | — | Manual Run |
reminder | string | No | — | Reminder date for the subtask |
required | boolean | No | — | Whether the subtask is required |
resolutionRequired | boolean | No | — | Whether a resolution is required when completing the subtask |
taskName | string | Yes | — | Name of the task |
type | string | No | — | Type of the subtask (MANUAL or SYSTEM_TASK) |
userEmail | string | No | — | Email of the user associated with the subtask |
workflowDetailId | string | No | — | Workflow detail ID |
onetrust_privacy_requests_create_v2verification_method_using_post
Create Verification Method Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
requestQueueRefId | string | Yes | — | request queue reference id |
language | string | No | — | Language code |
translate | boolean | No | — | Whether to translate the content |
createdDate | string | No | — | The timestamp when this verification method was created. |
description | string | No | — | A detailed description of how the verification method was applied. |
id | string | No | — | The unique identifier for this verification method. |
lastModifiedDate | string | No | — | The timestamp when this verification method was last modified. |
verificationComments | any[] | No | — | A list of comments and attachments associated with this verification method. This field is only populated when includeComments is set to true in the request. |
verificationMethodName | string | No | — | The name of the verification method used to verify the data subject’s identity. |
verificationStatus | string | No | — | The current status of the verification process. |
verificationType | string | No | — | The type of verification process used. |
onetrust_privacy_requests_data_discovery_updates_using_post
Add Targeted Data Discovery Results Summary to Request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
requestQueueRefId | string | Yes | — | Request queue reference Id |
attachments | any[] | No | — | Optional. List of name-value-pairs containing file names and IDs to attach. Use the Add File API to add file into OneTrust and retrieve the File IDs. These files will be visible in the Results Summary. |
results | object | No | — | Dataset that includes list of data groups with nested name-value-pairs to capture structured data. |
system | string | Yes | — | Name or identifier of the system from which this data is sourced. This will be displayed on the Results Summary. |
unstructuredResults | any[] | No | — | Unstructured Results |
onetrust_privacy_requests_delete_resolution_using_delete
Delete Resolution Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
resolutionId | string | Yes | — | The unique identifier of the resolution code to be deleted. |
onetrust_privacy_requests_get_all_group_and_attachment_details_using_get
Get Targeted Data Discovery Group Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
groupId | string | Yes | — | TDD Group Id |
requestQueueRefId | string | Yes | — | Request queue ref ID |
includeAttachments | boolean | No | — | Set to true to include attachment information in the response. If false or omitted, attachments will not be included. |
onetrust_privacy_requests_get_all_group_by_request_using_get
Get List of Targeted Data Discovery Groups Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
requestQueueRefId | string | Yes | — | Request queue reference Id |
onetrust_privacy_requests_get_all_request_queues_v2using_get
Get List of Requests Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
language | string | Yes | — | A language code that identifies the language in which the request data should be returned, assuming translations are available for that language. Examples: en-us for English, de for German, fr for French, etc. |
modifieddate | string | No | — | A date (yyyyMMdd). Include to retrieve a list of requests modified on or after the specified date. For example, if you want to retrieve requests modified on or after January 30, 2019, include the modifieddate=20190130 parameter in your query. |
createddate | string | No | — | A date (yyyyMMdd). Include to retrieve a list of requests created on or after the specified date. For example, if you want to retrieve requests created on or after January 30, 2019, include the createddate=20190130 parameter in your query. |
status | string | No | — | Filter requests by stage name. Parameters must be URL encoded. |
ignoreUserRequests | boolean | No | — | A flag to exclude requests associated with user if they are not associated with specified organization. |
page | integer | No | — | Results page you want to retrieve. Page number starts with 0 (0..N) |
size | integer | No | — | Number of records per page. Maximum page size allowed is 500 |
sort | string | No | — | Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. |
onetrust_privacy_requests_get_all_sub_task_by_ref_id_using_get
Get List of Subtasks by Request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
requestQueueRefId | string | Yes | — | Request queue reference Id |
page | integer | No | — | Results page to be retrieved (0..N) |
size | integer | No | — | Number of records per page (1..50) |
onetrust_privacy_requests_get_all_subtasks_v3using_post
Get List of Subtasks by Criteria Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
includeClosedSubtasks | boolean | No | — | Include closed subtasks in the response |
onlyActivatedSubtasks | boolean | No | — | Only include activated subtasks in the response |
page | integer | No | — | Results page you want to retrieve. Page number starts with 0 (0..N) |
size | integer | No | — | Number of records per page. Maximum page size allowed is 500 |
sort | string | No | — | Sorting criteria in the format: property(,asc|desc). Default sort order is subTaskId ascending. |
currentRequestStage | any[] | No | — | Filter subtasks by current request stage. Accepted values include: All default and custom request stages are supported. |
IncludeChildOrgs | boolean | No | — | By default set to true if omitted. On true Subtasks of Child Organizations of the given Organization will be included.On False Subtasks of the given Organization will be included. Effective only if ‘organization’ value is provided. |
language | string | No | — | Specifies the language code for localized field values in the response. Translations will be provided for this language if available. |
OpenRequests | boolean | No | — | When set to true, only subtasks belonging to open requests will be included in the results. If false or omitted, subtasks from both open and closed requests will be returned. |
Organization | string | No | — | Filter subtasks by Organization. Subtasks in this organization and related child organizations will be retrieved if includeChildOrgs is true. |
RequestDateCreated | object | No | — | Request Date Created |
RequestDeadline | object | No | — | Request Deadline |
RequestType | string | No | — | Filter subtasks by Request Type. Only subtasks belonging to requests with this Request Type will be retrieved. |
SubjectType | string | No | — | Filter subtasks by Subject Type. Only subtasks belonging to requests with this Subject Type will be retrieved. |
subtaskCreatedStage | any[] | No | — | Filter subtasks by subtask created stage. Accepted values include: All default and custom request stages are supported. |
SubtaskDateCreated | object | No | — | Subtask Date Created |
SubtaskDateUpdated | object | No | — | Subtask Date Updated |
SubtaskStatus | any[] | No | — | Subtask Status |
SubtaskType | string | No | — | Filter subtasks by type - either ‘manual’ for user-created subtasks or ‘system’ for automated system subtasks. |
SystemName | string | No | — | Filter subtasks by integration system name. Only system subtasks associated with this system will be returned. |
onetrust_privacy_requests_get_all_v2resolutions_using_get
Get List of Resolutions Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
language | string | No | — | The language code for which to retrieve resolution code translations. For example, ‘en-us’ for English, ‘fr’ for French, ‘de’ for German, etc. |
includeSubTaskResolutions | boolean | No | — | Set to true to include resolution codes that are applicable to subtasks. If false or omitted, only request-level resolution codes will be returned. |
page | integer | No | — | Results page you want to retrieve. Page number starts with 0 (0..N) |
size | integer | No | — | Number of records per page. Maximum page size allowed is 500 |
sort | string | No | — | Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. |
onetrust_privacy_requests_get_all_v2verification_methods_by_id_using_get
Get Verification Method Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
requestQueueRefId | string | Yes | — | The unique reference ID of the privacy request for which to retrieve the verification method. |
methodId | string | Yes | — | The unique identifier of the verification method to retrieve. |
includeComments | boolean | Yes | — | Set to true to include comments and attachments in the response. If false, only basic verification method information will be returned. |
onetrust_privacy_requests_get_all_v2verification_methods_using_get
Get List of Verification Methods Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
requestQueueRefId | string | Yes | — | The unique reference ID of the privacy request for which to retrieve verification methods. |
includeComments | boolean | Yes | — | Set to true to include comments and attachments in the response. If false, only basic verification method information will be returned. |
page | integer | No | — | Results page you want to retrieve. Page number starts with 0 (0..N) |
size | integer | No | — | Number of records per page. Maximum page size allowed is 500 |
sort | string | No | — | Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. |
onetrust_privacy_requests_get_deletion_certificate_using_get
Get Deletion Certificate Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
requestRefId | string | Yes | — | Deleted Request Reference ID (10-character ID that is unique to each request) |
onetrust_privacy_requests_get_request_by_id_using_get
Get Request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
requestQueueRefId | string | Yes | — | Reference ID of the request |
language | string | Yes | — | A language code that identifies the language in which the request data should be returned, assuming translations are available for that language. Examples: en-us for English, de for German, fr for French, etc. |
onetrust_privacy_requests_get_request_creation_logs_using_get
Get Request Creation Logs Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
requestTraceId | string | Yes | — | Request trace ID |
onetrust_privacy_requests_get_request_history
Get Request Audit History Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
requestQueueRefId | string | Yes | — | 10-character ID that is unique to each request. This ID can be obtained either from the response of the GET /requestqueues/{language} api or by navigating to the Requests section within the DSAR module in the application |
page | integer | No | — | Results page you want to retrieve. Page number starts with 0 (0..N) |
size | integer | No | — | Number of records per page. |
onetrust_privacy_requests_get_request_history_by_id_using_get
Get Request Audit History Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
requestQueueId | string | Yes | — | GUID that is unique to each request. This GUID can be obtained either from the response of the GET /requestqueues/{language} API orfrom the url by navigating to the request details page within the DSAR module in the application. If the request is deleted,obtain the ID by navigating to the request URL from the assignee email. |
page | integer | No | — | Results page you want to retrieve. Page number starts with 0 (0..N) |
size | integer | No | — | Number of records per page. |
onetrust_privacy_requests_get_subtask_by_idusing_get
Get Subtask Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
subtaskID | string | Yes | — | Subtask ID |
includeComments | boolean | No | — | Include comments in the response |
onetrust_privacy_requests_link_requests_using_put
Link Requests Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
requestQueueRefId | string | Yes | — | Request Reference ID |
comment | string | No | — | A comment to accompany the current action of linking/ unlinking requests |
LinkRequests | any[] | No | — | Link Requests |
UnlinkRequests | any[] | No | — | Unlink Requests |
onetrust_privacy_requests_move_status_by_request_ref_id_using_put
Update Request Stage Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
requestQueueRefId | string | Yes | — | The 10-character unique identifier of the request. |
language | string | Yes | — | The language code of the request data, such as en-us for English, de for German, fr for French, etc. |
comments | string | No | — | The comments to add when rejecting the request. This parameter is only used when the nextStage parameter is set to REJECTED. |
isInternalComment | boolean | No | — | This flag indicates whether the comment added when rejecting a request is for internal use only and will not appear in the Privacy Portal. |
nextStage | string | Yes | — | The name of the workflow stage to which the request will be moved. |
resolutionTitle | string | No | — | The titleTranslation parameter value of the resolution. This value should be the translation that corresponds to the language code defined in the language parameter of this payload, if available. This value is obtained using the Get List of Resolutions API. This parameter is only used when the nextStage parameter is set to REJECTED. |
onetrust_privacy_requests_pause_or_resume_deadline_using_put
Pause Request Deadline Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
requestQueueRefId | string | Yes | — | Request Reference ID |
comment | string | No | — | Internal comment to be added on pause or resume. |
language | string | No | — | This is the ISO language code for OneTrust supported languages. The language code provided here informs the language of the comment. Examples: en-us for English, de for German, fr for French, etc |
pauseDeadline | boolean | Yes | — | If PauseDeadline is marked true, the deadline will be paused. If PauseDeadline is marked false, the deadline will be resumed. |
onetrust_privacy_requests_reprocess_subtask_using_put
Reprocess System Subtask Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
subtaskID | string | Yes | — | Subtask ID |
Comment | string | No | — | Internal comment to identify reason for reprocessing the subtask. Longer comments may impact system performance. |
onetrust_privacy_requests_search_for_request_using_post
Search Requests Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
language | string | Yes | — | A language code that identifies the language in which the request data should be searched, assuming translations are available for that language. Examples: en-us for English, de for German, fr for French, etc. |
createddate | string | No | — | A date (yyyyMMdd). Include to retrieve a list of requests created on or after the specified date. For example, if you want to retrieve requests created on or after January 30, 2019, include the createddate=20190130 parameter in your query. |
page | integer | No | — | Results page you want to retrieve. Page number starts with 0 (0..N) |
size | integer | No | — | Number of records per page. |
term | string | No | — | The term value |
onetrust_privacy_requests_share_results_summary_using_post
Share Results Summary Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
requestQueueRefId | string | Yes | — | Request Reference ID (10-character ID that is unique to each request) |
body | object | Yes | — | Request body |
onetrust_privacy_requests_subtasks_using_get
Get List of Subtasks Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
language | string | No | — | A language code that identifies the language in which the Request Type and Subject Type values should be returned, assuming translations are available for that language. Examples: language=en-us for English, language=de for German, language=es for Spanish, etc. |
modifieddate | string | No | — | A date (yyyyMMdd). Include to retrieve a list of subtasks modified on or after the specified date. For example, if you want to retrieve subtasks modified on or after January 30, 2019, include the modifieddate=20190130 parameter in your query. |
status | string | No | — | To get a SubTasks according to Status. Examples: status=assigned |
openrequests | boolean | No | — | An optional parameter to show subtasks on open requests if set to true.if this parameter is set to false or omitted, the response will contain subtasks on all requests Examples: openrequests=true |
page | integer | No | — | Results page you want to retrieve. Page number starts with 0 (0..N) |
size | integer | No | — | Number of records per page. Maximum page size allowed is 500 |
sort | string | No | — | Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. |
onetrust_privacy_requests_unstructured_data_discovery_updates_using_post
Add Data Points to Targeted Data Discovery Results Summary Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
requestQueueRefId | string | Yes | — | Request queue reference Id |
attachments | any[] | No | — | Optional. List of name-value-pairs containing file names and IDs to attach. Use the Add File API to add file into OneTrust and retrieve the File IDs. These files will be visible in the Results Summary. |
results | object | No | — | Dataset that includes list of data groups with nested name-value-pairs to capture structured data. |
system | string | Yes | — | Name or identifier of the system from which this data is sourced. This will be displayed on the Results Summary. |
unstructuredResults | any[] | No | — | Unstructured Results |
onetrust_privacy_requests_update_custom_fields_using_put
Update Request Custom Fields Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
requestQueueRefId | string | Yes | — | Reference ID of the request |
language | string | Yes | — | A language code that identifies the language in which the request data should be returned after the move, assuming translations are available for that language. Examples: en-us for English, de for German, fr for French, etc. |
mapOptionKeyToNameKey | boolean | No | — | If true, call will map form fields option keys with their respective form field name keys. If false or not included, field keys will not be mapped. |
body | object | Yes | — | Request body |
onetrust_privacy_requests_update_resolution_using_put
Update Resolution Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
resolutionId | string | Yes | — | Resolution Id |
close | boolean | Yes | — | Indicates whether this resolution code should be available as an option when closing a request. Set to true to make it available for closing requests. |
complete | boolean | Yes | — | Indicates whether this resolution code should be available as an option when completing a request. Set to true to make it available for completing requests. |
descriptionTranslations | object | No | — | A map of language codes to translated descriptions for this resolution code. The default English (en-us) translation must be present. |
id | string | No | — | The unique identifier for the resolution code. This is automatically generated when a new resolution code is created, not required in resolution creation payload. |
reject | boolean | Yes | — | Indicates whether this resolution code should be available as an option when rejecting a request. Set to true to make it available for rejecting requests. |
titleTranslations | object | No | — | A map of language codes to translated titles for this resolution code. English (en-us) translation is required. Each translation must be unique per language and type across all resolution codes. |
type | integer | No | — | Specifies the type of resolution code, which determines where it appears in the UI. By default, this is set to 10 for request-level resolutions. Use 20 for subtask resolutions. |
onetrust_privacy_requests_update_sub_task_using_put
Update Subtask Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
subtaskID | string | Yes | — | Sub-Task UUID |
assignedTogroup | boolean | No | — | Whether the subtask is assigned to a group |
deadline | string | No | — | Deadline for the subtask |
description | string | Yes | — | Description of the subtask |
groupName | string | No | — | Name of the group if assigned to a group |
reminder | string | No | — | Reminder date for the subtask |
required | boolean | No | — | Whether the subtask is required |
taskName | string | No | — | Name of the task |
userEmail | string | No | — | Email of the user associated with the subtask |
onetrust_privacy_requests_update_subtask_status_using_put
Update Subtask Status Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
subtaskId | string | Yes | — | Subtask Id |
comment | string | No | — | Comments can be updated for system subtask status call - this can be used for reason for failure. Longer comments may impact system performance. |
resolutionId | string | No | — | Resolution ID (can only be passed if the subtask status is updated to COMPLETED or REJECTED) |
status | string | Yes | — | Status to be updated to completed or failed |
onetrust_privacy_requests_update_v2verification_method_using_put
Update Verification Method Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
requestQueueRefId | string | Yes | — | request queue reference id |
language | string | No | — | Language code |
translate | boolean | No | — | Whether to translate the content |
createdDate | string | No | — | The timestamp when this verification method was created. |
description | string | No | — | A detailed description of how the verification method was applied. |
id | string | No | — | The unique identifier for this verification method. |
lastModifiedDate | string | No | — | The timestamp when this verification method was last modified. |
verificationComments | any[] | No | — | A list of comments and attachments associated with this verification method. This field is only populated when includeComments is set to true in the request. |
verificationMethodName | string | No | — | The name of the verification method used to verify the data subject’s identity. |
verificationStatus | string | No | — | The current status of the verification process. |
verificationType | string | No | — | The type of verification process used. |

